Bug 140539 - rhel4 beta kernels are VERY unstable on Dell D600
rhel4 beta kernels are VERY unstable on Dell D600
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-23 10:41 EST by Anonymous
Modified: 2015-01-04 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 20:24:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anonymous 2004-11-23 10:41:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809 Epiphany/1.3.8

Description of problem:
Multiple "Oops" occurences and general instability have been pretty
consistent across several of the RHEL4 beta kernels, including the
latest one.  A couple of the call traces are below.

Unable to handle kernel paging request at virtual address f76c650c
 printing eip:
c01c7ee1
*pde = 374001e3
Oops: 0000 [#1]
Modules linked in: parport_pc lp parport sunrpc ds dm_mod button
battery ac radeon md5 ipv6 joydev yenta_socket pcmcia_core uhci_hcd
ehci_hcd snd_intel8x0m snd_intel8x0 snd_ac97_codec snd_pcm_oss
snd_mixer_oss snd_pcm snd_timer snd_page_alloc snd_mpu401_uart
snd_rawmidi snd_seq_device snd soundcore tg3 ext3 jbd
CPU:    0
EIP:    0060:[<c01c7ee1>]    Tainted: P   VLI
EFLAGS: 00010282   (2.6.9-1.675_EL)
EIP is at inode_has_perm+0x40/0x5f
eax: 00000000   ebx: f6ff2e1c   ecx: 00000007   edx: 0000001c
esi: f780581c   edi: f6ff2e54   ebp: f76c6500   esp: f6ff2e18
ds: 007b   es: 007b   ss: 0068
Process perl (pid: 2893, threadinfo=f6ff2000 task=f5e0f1b0)
Stack: 00100000 00000001 00000000 00000000 00000000 f787f940 00000000
00000000
       00000000 00000000 00000000 00000000 00000000 00000000 00000000
000000aa
       f7870284 c0361280 00000000 f787f940 00000001 c01c9b70 00000000
00000000
Call Trace:
 [<c01c9b70>] selinux_inode_permission+0xa3/0xa9
 [<c0176992>] permission+0x41/0x46
 [<c017721f>] link_path_walk+0x120/0x1009
 [<c0154feb>] do_wp_page+0x11d/0x46b
 [<c0309766>] __cond_resched+0x14/0x3b
 [<c01e11c2>] direct_strncpy_from_user+0x3e/0x5d
 [<c0178383>] path_lookup+0xff/0x12f
 [<c01784c7>] __user_walk+0x21/0x51
 [<c01724b8>] vfs_stat+0x14/0x3a
 [<c03099bc>] schedule_timeout+0xf8/0x10c
 [<c0172ac1>] sys_stat64+0xf/0x23
 [<c012f47d>] sigprocmask+0x15f/0x223
 [<c0309766>] __cond_resched+0x14/0x3b
 [<c011a4dc>] do_page_fault+0x0/0x4dc
 [<c030b17b>] error_code+0x2f/0x38
 [<c030aff7>] syscall_call+0x7/0xb
Code: db 8b b2 ac 01 00 00 75 18 8d 5c 24 04 31 c0 b9 0e 00 00 00 89
df f3 ab c6 44 24 04 01 89 54 24 14 0f b7 4e 18 8b 56 14 83 c6 1c <8b>
45 0c 53 8b 5c 24 5c 85 db 0f 44 de 53 ff 74 24 08 e8 8d e9


 <1>Unable to handle kernel paging request at virtual address f774cc28
 printing eip:
c018380b
*pde = 374001e3
Oops: 0000 [#2]
Modules linked in: parport_pc lp parport sunrpc ds dm_mod button
battery ac radeon md5 ipv6 joydev yenta_socket pcmcia_core uhci_hcd
ehci_hcd snd_intel8x0m snd_intel8x0 snd_ac97_codec snd_pcm_oss
snd_mixer_oss snd_pcm snd_timer snd_page_alloc snd_mpu401_uart
snd_rawmidi snd_seq_device snd soundcore tg3 ext3 jbd
CPU:    0
EIP:    0060:[<c018380b>]    Tainted: P   VLI
EFLAGS: 00010286   (2.6.9-1.675_EL)
EIP is at __d_lookup+0x65/0x21b
eax: c1867780   ebx: 000361e8   ecx: 00000011   edx: c1823200
esi: f5899f30   edi: f774cc28   ebp: f7c91438   esp: f5899e88
ds: 007b   es: 007b   ss: 0068
Process bash (pid: 3573, threadinfo=f5899000 task=f4f3f8b0)
Stack: 00000000 c1867780 f78f0009 000361e8 00000002 f5899ef8 000361e8
f5899f30
       00000000 f5899ef8 c017708f c18eae00 f5899ef0 000361e8 f79f978c
000361e8
       f5899f30 c0177da9 00000000 f5c347b0 c0156453 f52bc640 f5cbd08c
00000101
Call Trace:
 [<c017708f>] do_lookup+0x1f/0x8f
 [<c0177da9>] link_path_walk+0xcaa/0x1009
 [<c0156453>] handle_mm_fault+0x131/0x233
 [<c0178383>] path_lookup+0xff/0x12f
 [<c017362c>] open_exec+0x1a/0xa5
 [<c0174f6d>] do_execve+0x16/0x1f6
 [<c0104964>] sys_execve+0x2a/0x6f
 [<c030aff7>] syscall_call+0x7/0xb
Code: 24 0c 89 c2 81 f2 01 00 37 9e d3 ea 31 d0 8b 15 e4 be 40 c0 23
05 dc be 40 c0 8d 04 82 89 44 24 04 8b 38 85 ff 0f 84 ab 01 00 00 <8b>
07 0f 18 00 90 8d 5f 88 8b 44 24 0c 39 43 2c 0f 85 8e 01 00


Version-Release number of selected component (if applicable):
kernel-2.6.9-1.675_EL

How reproducible:
Always

Steps to Reproduce:
1. Load RHEL4 beta on a D600
2. Attempt to do some work

    

Actual Results:  The kernel inevitably becomes unstable after very
short periods of usage

Expected Results:  kernel should be more stable

Additional info:
Comment 1 Tom "spot" Callaway 2004-11-23 11:18:37 EST
Tainted: P   VLI

^^^^^

What's tainting this kernel? You know we can't really do much about
kernel bug reports that come in tainted. Can you reproduce this
without whatever module is tainting the kernel?

Note You need to log in before you can comment on or make changes to this bug.